commit 48469a7a51a9856b9b59d360ed49ff07ecbad66d
Author: Denys Vlasenko <dvlasenk@redhat.com>
Date:   Fri Apr 8 18:24:51 2011 +0200

    send "User-Agent: ABRT/n.n.n" header in RHTS http transactions
    
    Signed-off-by: Denys Vlasenko <dvlasenk@redhat.com>

diff --git a/lib/Utils/abrt_curl.cpp b/lib/Utils/abrt_curl.cpp
index 2bb7109..f273eef 100644
--- a/lib/Utils/abrt_curl.cpp
+++ b/lib/Utils/abrt_curl.cpp
@@ -318,6 +318,11 @@ abrt_post(abrt_post_state_t *state,
     if (!httpheader_list)
         error_msg_and_die("out of memory");
 
+    // Add User-Agent: ABRT/N.M
+    httpheader_list = curl_slist_append(httpheader_list, "User-Agent: ABRT/"VERSION);
+    if (!httpheader_list)
+        error_msg_and_die("out of memory");
+
 // Disabled: was observed to also handle "305 Use proxy" redirect,
 // apparently with POST->GET remapping - which server didn't like at all.
 // Attempted to suppress remapping on 305 using CURLOPT_POSTREDIR of -1,
commit 035aa63fb33d7c4a21b4400e7b6809744af1fa2e
Author: Jiri Moskovcak <jmoskovc@redhat.com>
Date:   Tue Apr 12 15:58:20 2011 +0200

    added forgotten #include <config.h>

diff --git a/lib/Utils/abrt_curl.cpp b/lib/Utils/abrt_curl.cpp
index f273eef..a23116a 100644
--- a/lib/Utils/abrt_curl.cpp
+++ b/lib/Utils/abrt_curl.cpp
@@ -16,6 +16,9 @@
     with this program; if not, write to the Free Software Foundation, Inc.,
     51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */
+#if HAVE_CONFIG_H
+# include <config.h>
+#endif
 #include "abrtlib.h"
 #include "abrt_curl.h"
 #include "comm_layer_inner.h"
